Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 599475 - Potential security problem over migration port
Potential security problem over migration port
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 06:19 EDT by Keqin Hong
Modified: 2013-01-09 17:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 08:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keqin Hong 2010-06-03 06:19:58 EDT
Description of problem:
Migration through tcp connection requires an incoming tcp port for the dest host. If a malicious connection (e.g. a telnet probe) just happens before the migration instruction being entered. Migration will fail/hang.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.69.el6

How reproducible:
100%

CLI on dest:
/usr/libexec/qemu-kvm -m 2G -smp 2 -drive file=win2008r2-64.qcow2,if=none,id=drive-virtio0,boot=on -device ide-drive,drive=drive-virtio0 -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,mac=76:00:40:3F:20:20,bus=pci.0,addr=0x4 -boot order=dc,menu=on -uuid 17644ecc-d3a1-4d3c-a386-12daf50015f2 -rtc base=utc -no-hpet -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -cpu qemu64,+sse2 -balloon none -vnc :1 -incoming tcp:0:5800


Steps to Reproduce:
1. Start VM on host machine (either with vnc or spice)
2. Start VM on dest machine with "-incoming tcp:0:5800"
3. telnet $dest 5800
4. from host machine, start migration 
# migrate -d tcp:$dest:5800
# info migrate

Actual results:
Migration will never succeed.
Even if you stop the telnet process, and start VM listening on dest machine again, migration can no longer proceed unless migrate_cancel being instructed first.
 
Expected results:
Illegal port probe over migration port should be prohibited.

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-07 12:18:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Dor Laor 2010-06-08 08:46:55 EDT
Why is that a bug? Mgmt will re-issue the migration.
Anyway it seems like low priority. The host environment is presumed safe.

Note You need to log in before you can comment on or make changes to this bug.